/* 
 * File:   cKlinkDiscoveryFrame.h
 * Author: john
 *
 * Created on 04 April 2011, 2:50 PM
 */

#ifndef CKLINKDISCOVERYFRAME_H
#define	CKLINKDISCOVERYFRAME_H

#include <cKlinkFrame.h>
#include <cKlinkDebug.h>

class cKlinkDiscoveryFrame : public cKlinkFrame
{
public:
    static const uint32_t DEFAULT_SERIAL_NUMBER;
    cKlinkDiscoveryFrame();
    cKlinkDiscoveryFrame(cKlinkDataBuffer &);
    virtual ~cKlinkDiscoveryFrame();
    cKlinkDataBuffer & getData();
    void setSerialNumber(uint32_t);
    uint32_t getSerialNumber();
    void setDeviceType(uint16_t);
    uint16_t getDeviceType();
private:
    cKlinkDataBuffer mDataBuffer;
};

#endif	/* CKLINKDISCOVERYFRAME_H */

